Solid Edge How to get the custom property value in ST10

2021-10-06T23:52:30Z
Design

Summary


Details

How to get the custom property value in ST10 

Solution

Imports System.IO


Imports System.Runtime.InteropServices


Imports SolidEdgeConstants


 


ModuleModule1


    Sub Main()


 


        Dim objSEApplication As SolidEdgeFramework.Application = Nothing


        Dim objPropertySets As SolidEdgeFramework.PropertySets = Nothing


        Dim objProperties As SolidEdgeFramework.Properties = Nothing


        Dim objProperty As SolidEdgeFramework.Property = Nothing


        Dim objSEDoc As SolidEdgeFramework.SolidEdgeDocument = Nothing


 


        Dim strPropVal AsString


 


        objSEApplication = Marshal.GetActiveObject("SolidEdge.Application")


 


        objSEDoc = objSEApplication.ActiveDocument


        objPropertySets = objSEDoc.Properties


        ForEach objProperties In objPropertySets


            ForEach objProperty In objProperties


 


                If (objProperty.Name = "GTAC") Then


                    strPropVal = objProperty.Value


                    MsgBox(strPropVal)


                EndIf


            Next


        Next


 


    EndSub


EndModule





Hardware/Software Configuration

Platform: INTL64
OS: window
OS Version: 764
Product: SOLID_EDGE
Application: AUTOMATION
Version: V110.0
Function: CUSTOM_SAMPLES

Ref: 001-8955310

KB Article ID# PL8004292

Contents

SummaryDetails

Associated Components

Part Modeling